
Selene Wrapper - Errores #125

Validate null tables

05/08/2018 06:39 AM - Jesús Freire

Status: Cerrada Start date: 05/09/2018

Priority: Normal Due date: 06/06/2018

Assignee: Jesús Freire % Done: 100%

Category:  Estimated time: 1:00 hour

Target version: 0.0.7 Spent time: 1:00 hour

Puntos de historia: 1   

Description

Method equals of pattern BeanClase throws a NullPointerException when it's comparing a null table because it isn't validating if the

table is null before comparing them.

Modify method equals to validate if the source and target tables aren't null before comparing them

History

#1 - 05/08/2018 03:10 PM - Jesús Freire

- Subject changed from Modify method equals into pattern BeanClase to validate null tables to Modify BeanClase.equals() to validate null tables

#2 - 05/08/2018 08:17 PM - Jesús Freire

- Subject changed from Modify BeanClase.equals() to validate null tables to Validate null tables in BeanClase.equals

- % Done changed from 10 to 20

#3 - 05/08/2018 08:25 PM - Jesús Freire

- Tracker changed from Tareas to Errores

#4 - 05/08/2018 08:39 PM - Jesús Freire

- Subject changed from Validate null tables in BeanClase.equals to Validate null tables

#5 - 05/08/2018 08:50 PM - Jesús Freire

- Target version changed from 0.0.6 to 0.0.7

#6 - 05/10/2018 03:59 PM - Jesús Freire

- Status changed from Nueva to En curso

- Assignee set to Jesús Freire

- Estimated time changed from 2:00 h to 1:00 h

- Puntos de historia changed from 0 to 1

#7 - 05/10/2018 04:04 PM - Jesús Freire

- Status changed from En curso to Resuelta

- % Done changed from 10 to 90

Applied in changeset selene-wrapper|r523.

#8 - 06/06/2018 07:48 AM - Jesús Freire

- Status changed from Resuelta to Cerrada

- % Done changed from 90 to 100

- Due date set to 06/06/2018
